Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 08/05/2019, à 13:14

homaley24

[Resolu] installation des PPA

Bonjour,
je voudrais savoir si avec "Disco" il y a un souci pour l'ajout de PPA car pour ma part c'est la croix et la bannière, tous les PPA que je souhaitent ajouter s'ajoutent qu'après un temps relativement long (plusieurs minutes), j'utilise la méthode graphique et aussi a l'aide du terminal et j'ai le même résultat
si quelqu'un avait des infos à ce sujet...
A+ Fred

Dernière modification par homaley24 (Le 11/05/2019, à 10:32)

Hors ligne

#2 Le 08/05/2019, à 13:26

nam1962

Re : [Resolu] installation des PPA

Euhhh "tous les PPA" : il faut être parcimonieux avec ces bestioles.
Il y a aussi des alternatives très utiles pour les logiciels hors dépôts (Flatpak, AppImages, Snap).
Par ailleurs, avant toute install de PPA il faut prévoir leur désinstallation avec ppa-purge.

Peux tu nous donner les retours de :

sudo apt install ppa-purge
cat /etc/apt/sources.list
ls /etc/apt/sources.list.d -1

[ Modéré ]

Hors ligne

#3 Le 08/05/2019, à 17:05

homaley24

Re : [Resolu] installation des PPA

Oui ça concerne, du moins tous ceux que j'ajoute.

fred@fred-PX60-6QE:~$ sudo apt install ppa-purge
[sudo] Mot de passe de fred : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
ppa-purge est déjà la version la plus récente (0.2.8+bzr63).
0 mis à jour, 0 nouvellement installés, 0 à enlever et 5 non mis à jour.
fred@fred-PX60-6QE:~$ cat /etc/apt/sources.list
# deb cdrom:[Ubuntu 19.04 _Disco Dingo_ - Release amd64 (20190416)]/ disco main restricted

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://fr.archive.ubuntu.com/ubuntu/ disco main restricted
# deb-src http://fr.archive.ubuntu.com/ubuntu/ disco main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://fr.archive.ubuntu.com/ubuntu/ disco-updates main restricted
# deb-src http://fr.archive.ubuntu.com/ubuntu/ disco-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://fr.archive.ubuntu.com/ubuntu/ disco universe
# deb-src http://fr.archive.ubuntu.com/ubuntu/ disco universe
deb http://fr.archive.ubuntu.com/ubuntu/ disco-updates universe
# deb-src http://fr.archive.ubuntu.com/ubuntu/ disco-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
## team, and may not be under a free licence. Please satisfy yourself as to 
## your rights to use the software. Also, please note that software in 
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://fr.archive.ubuntu.com/ubuntu/ disco multiverse
# deb-src http://fr.archive.ubuntu.com/ubuntu/ disco multiverse
deb http://fr.archive.ubuntu.com/ubuntu/ disco-updates multiverse
# deb-src http://fr.archive.ubuntu.com/ubuntu/ disco-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://fr.archive.ubuntu.com/ubuntu/ disco-backports main restricted universe multiverse
# deb-src http://fr.archive.ubuntu.com/ubuntu/ disco-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
deb http://archive.canonical.com/ubuntu disco partner
# deb-src http://archive.canonical.com/ubuntu disco partner

deb http://security.ubuntu.com/ubuntu disco-security main restricted
# deb-src http://security.ubuntu.com/ubuntu disco-security main restricted
deb http://security.ubuntu.com/ubuntu disco-security universe
# deb-src http://security.ubuntu.com/ubuntu disco-security universe
deb http://security.ubuntu.com/ubuntu disco-security multiverse
# deb-src http://security.ubuntu.com/ubuntu disco-security multiverse

# This system was installed using small removable media
# (e.g. netinst, live or single CD). The matching "deb cdrom"
# entries were disabled at the end of the installation process.
# For information about how to configure apt package sources,
# see the sources.list(5) manual.
fred@fred-PX60-6QE:~$ ls /etc/apt/sources.list.d -1
inkscape_dev-ubuntu-stable-disco.list
inkscape_dev-ubuntu-stable-disco.list.save
nextcloud-devs-ubuntu-client-disco.list
nextcloud-devs-ubuntu-client-disco.list.save
nilarimogard-ubuntu-webupd8-disco.list
nilarimogard-ubuntu-webupd8-disco.list.save
otto-kesselgulasch-ubuntu-gimp-disco.list
otto-kesselgulasch-ubuntu-gimp-disco.list.save
pmjdebruijn-ubuntu-darktable-unstable-disco.list
yg-jensge-ubuntu-shotwell-disco.list
yg-jensge-ubuntu-shotwell-disco.list.save
fred@fred-PX60-6QE:~$ 

Hors ligne

#4 Le 08/05/2019, à 17:58

nam1962

Re : [Resolu] installation des PPA

Tes sources sont propres, par contre dans tes PPA  : nilarimogard qui est toxique et que je te conseille de virer d'urgence (avec ppa-purge, pour virer tous les paquets qu'il aura apporté sans que tu l'aie demandé.
Pour Darktable ou Shotwell, ou les autres, as-tu vraiment besoin d'une version qui n'est pas dans les dépôts de la dernière version intermédiaire Ubuntu ?
Si oui, pense à flathub, exemple : https://flathub.org/apps/details/org.da … .Darktable

Maintenant le comportement que tu indiques est problématique.
- es-tu bien en France ?
- as-tu redémarré ta box ?

Peux tu passer (après avoir viré nilarimogard) :

sudo apt clean
[[ $(dpkg -l | grep ^rc) ]] && sudo dpkg -P $(dpkg -l | grep ^rc | tr -s " " | cut -d " " -f 2)
sudo apt update
sudo apt full-upgrade
[[ $(apt-mark showmanual | egrep 'linux-.*[0-9]' | grep -v "hwe") ]] && sudo apt-mark auto $(apt-mark showmanual | egrep linux-.*[0-9] | grep -v "hwe")
sudo apt autoremove --purge

[ Modéré ]

Hors ligne

#5 Le 08/05/2019, à 19:29

homaley24

Re : [Resolu] installation des PPA

je suis étonné concernant "nilarimogard" j'avais ajouté ce PPA suite a des souci de clé d'authentification, j'ai d’ailleurs récupéré l'info sur la documentation Ubuntu
bon je te fais confiance et je vais le virer.
l'idée de passer par les PPA c'est d'avoir régulièrement les versions mises à jour par les développeurs, comme indiqué dans les infos sur les PPA de la documentation Ubuntu.
pour tes questions oui je suis bien en France et oui ma box est régulièrement redémarré.
ça sert a quoi la manip que tu veux que je passe...?
A+ Fred

Hors ligne

#6 Le 08/05/2019, à 20:49

metalux

Re : [Resolu] installation des PPA

Bonjour,
Les causes les plus probables sont des soucis DNS mais dans ce cas ça devrait toucher aussi tout le reste comme la navigation.
la seconde cause peut-être certains dépôts non signés ou avec une clef obsolète, je privilégie cette piste vu que tu parles de soucis de clef d'authentification. Vérifie que les clefs ne sont pas périmées, et si un dépôt n'a pas de clef désactive le avant d'essayer de rajouter un P.P.A.
La troisième cause possible, solution trouvé sur le net, est un souci lié à l'ipv6. Désactive le avec sysctl si les 2 premières solutions ne fonctionnent pas.

homaley24 a écrit :

je suis étonné concernant "nilarimogard" j'avais ajouté ce PPA suite a des souci de clé d'authentification

nam1962 conseille systématiquement de supprimer les P.P.A. il fait une allergie à ceux-ci. Même si je suis plutôt partisan de ne pas en utiliser quand c'est possible, comme j'ai tendance à rester en LTS pendant 5 ans, je finis par en ajouter. Et en 10 ans d'utilisation d'Ubuntu j'en ai utilisé plus d'un! Contrairement à ce que peux affirmer nam, si tu sais ce que tu fais, il y a des P.P.A. qui sont quand même relativement sérieux.

@nam1962
Toxique pour nilarimogard, c'est pas un peu fort, non? tu commences toujours par conseiller de virer les P.P.A. même si le problème n'a strictement rien à voir. Libre à toi de ne pas en utiliser mais sache quand même qu'il y en a plus d'un sur ce forum qui en utilisent sans déstabiliser leur système pour autant. Tu me citeras certainement certains post ou il y a eu des problèmes, je dirais que le problème vient surtout dans ce cas de l'utilisateur qui installe le P.P.A. en question sans savoir ce qu'il fait et sans savoir gérer ceux-ci. Bon je suis plutôt un adepte de ceux-ci cf ma signature....
Je ne me suis pas encore penché sur snap, flatpack ou appimage, est-ce que les maj se font comme les P.P.A. et se font aussi avec apt full-upgrade?

Hors ligne

#7 Le 08/05/2019, à 20:53

GammaDraconis

Re : [Resolu] installation des PPA

homaley24 a écrit :

l'idée de passer par les PPA c'est d'avoir régulièrement les versions mises à jour par les développeurs

Mais ça sert à rien dans le cas de "Disco" alias Ubuntu 19.04 vu que tu es sur la dernière version donc avec des versions récentes !

Les PPA peuvent avoir un intérêt sur une LTS par exemple, prenons l'exemple de LibreOffice, sur la 18.04 la version est gelé en 6.0 et ajouter le PPA permet d'avoir la 6.2 mais sur la 19.04 tu as déjà la 6.2 de base !
Tu vas me dire : oui mais quand ils vont passer en 6.3 ? et bien quand la 6.3 sortira, peu de temps après la 19.10 sera dispo (qui aura la 6.3) sachant que tu sera obligé de passer sur cette version (puisque je rappelle que les versions à court terme comme la 19.04 n'ont que 9 mois de support, utiliser ce genre de version sous-entend donc de faire la mise à niveau à chaque nouvelle version !)

Et même si tu étais sur la 18.04, il faudrai vraiment utiliser les PPA avec parcimonie.


Je rappelle que les PPA ne sont pas gérés par les développeurs d'Ubuntu, certains sont fiables, d'autres non mais surtout un PPA n'est pas forcément valide pour toutes les versions. Il faut être méfiant et te poser les questions suivantes :
- est-ce que ce PPA est vraiment utile pour ma version d'Ubuntu ?
- est-ce que ce PPA est toujours d'actualité (version à jour dedans ou obsolète) ?
- est-ce que ce PPA est compatible avec ma version d'Ubuntu ?

Il y a pleins de cas de PPA qui fonctionnent pour des vieilles versions mais pas des versions récentes.

Dernière modification par GammaDraconis (Le 08/05/2019, à 21:00)


Discussion sur mon script de post-install pour Ubuntu 20.04LTS : https://forum.ubuntu-fr.org/viewtopic.php?id=2026344
Lien direct script : https://github.com/simbd/Ubuntu_20.04LTS_PostInstall
Démo vidéo (peertube) : https://video.ploud.fr/videos/watch/fb7 … 0d252ed2db

Hors ligne

#8 Le 08/05/2019, à 22:52

Coeur Noir

Re : [Resolu] installation des PPA

@Gamma Je rappelle que les PPA ne sont pas gérés par les développeurs d'Ubuntu → bah certains si ( LibreOffice, certains pilotes graphiques… ) d'autres sont gérés par des développeurs de l'appli'… bref arrêtez de jeter le bébé avec l'eau du bain. Il y a des ppa tenus par des gens sérieux et d'autres tenus par des enthousiastes moins rigoureux, c'est pas un secret.

@nam pour virer tous les paquets qu'il aura apporté sans que tu l'aies demandé → cette formulation est volontairement trompeuse, Nam, tu le sais très bien ( voir un peu plus bas ).
Et b*rd*l à c*l de pompe à m*rd* lol quand on propose des commandes, on les explique un minimum, ou on donne une idée de l'objectif qu'on veut atteindre ( ici lister d'éventuels paquets cassés, mettre à jour le système, purger d'éventuels anciens noyaux linux et autres paquets devenus obsolètes ).
Très bon réflexe d'homaley24 d'ailleurs, qui te demande du coup d'éclaircir ce point avant de passer des commandes sans comprendre. Sécurité élémentaire. Bravo ! smile Mais tu peux y aller Homa c'est de la bonne came, euh, commande.

À partir du moment où on quitte les dépôts officiels d'une distribution, il faut de toute façon être prudent :
⋅ avec flatpak puisque n'importe qui peut mettre n'importe quoi en flatpak ( oui ? non ? )
⋅ avec les snap certes centralisés par Canonical mais qui peuvent contenir du code non-libre donc non vérifiable ( là on a eu un exemple de crypto-mineur planqué, sans grande conséquence heureusement car vite repéré )
⋅ avec appimage puisque provenances web multiples ( sans connaissance pour l'instant d'un exemple foncièrement malicieux ).

Au moins les ppa on sait où ils sont ( launchpad, plutôt sûr à priori ) on sait qui s'en occupe, on peut voir ce qu'ils contiennent, leur historique d'activité, bref on a des clés importantes pour comprendre ce qu'ils sont et les évaluer.
Peut-on en dire autant des 3 autres ?

Si à la base on ne sait rien d'APT, ce qu'est un paquet .deb, le concept de dépendances ( voir remarque à Nam plus haut ), comment est « construite » une distribution telle qu'Ubuntu, je suis d'accord qu'il ne faut pas se jeter sur les ppa : sans un minimum de culture « ubuntuesque » ça fait courir des risques. D'accord.

Mais ça reste le souci ou le problème de l'utilisateur, car le système « ppa » est fondamentalement une source « externe » de logiciels, à dessein volatile et fluide.
Si un ppa, un logiciel en flatpak en snap ou en appimage ne vous inspire pas confiance, ne l'utilisez pas. Point. Si vous n'avez aucune ou peu d'idées de qui « fait » un logiciel, ne l'installez pas. Point.

@homaley24 Pour en revenir au sujet de départ, il n'y a pas de frein sous 18.04 à l'utilisation de ppa. Ou disons les mêmes freins depuis toujours avec les ppa : à utiliser en toute connaissance de cause.
Le souci de lenteur est probablement lié à un autre paramètre de ton système, comme l'évoque metalux. Donc explorer d'autres pistes : la config' réseau, la config' serveur pour les « sources de logiciels », si les clés des ppa sont bien actives…

Reste que pour darktable tu as choisi le ppa unstable plutôt que le fairly stable. Il y est bien mentionné : « These are development snapshots of Darktable. They are usually regularly updated, which implies you could be faced with problems on a regular basis. Only use this PPA if you're willing to deal with problems from time to time, and report problems to our mailing lists. »

Je dirais choix idem pour inkscape.

Pourquoi ces choix forcément prompts à la déconnade ?

Et enfin pour quand même aller dans le sens de Nam et de Gamma :
⋅ le ppa webupd8 est de moins en moins fréquemment mis à jour par son propriétaire ( Alin Andrei ) sans doute occupé à d'autres choses aujourd'hui. C'est y-ppa-manager que tu avais installé ?
⋅ tu es sur une version d'Ubuntu à support court, stable mais orientée nouveauté et tests, que tu devras mettre à niveau tous les 6/9 mois : n'est-ce pas suffisant ?

Dernière modification par Coeur Noir (Le 08/05/2019, à 23:09)


DébuterDocBien rédigerRetour commandeInsérer image | illustrations & captures d'écran <>

Hors ligne

#9 Le 08/05/2019, à 22:57

lool_lauris

Re : [Resolu] installation des PPA

Salut,

nam1962 a écrit :

Par ailleurs, avant toute install de PPA il faut prévoir leur désinstallation avec ppa-purge.

Que veux-tu dire ? Peux-tu détailler ?

Dernière modification par lool_lauris (Le 08/05/2019, à 22:59)


Soutenez le Libre => http://www.april.org/

Hors ligne

#10 Le 09/05/2019, à 07:24

nam1962

Re : [Resolu] installation des PPA

Heulà ?
Il faudrait refaire le cours de première semaine sous Ubuntu ?
Bon, ces trucs, ont été déjà expliqués et réexpliqués des centaines de fois et soulignés dans la doc.

Comme je ne vais pas les réexpliquer, @ lool_lauris : un peu de lecture sur ppa-purge (et la gestion des PPA)

Je serai par ailleurs ravi d'être rassuré par l'explication sur l'apport et l’innocuité de chacun des 625 paquets de nilarimogard par homaley24, metalux et Coeur Noir. tongue
--> https://launchpad.net/~nilarimogard/+ar … tu/webupd8
(Quand on installe un truc, on sait et contrôle ce qu'on installe, évidemment !)

Plus généralement, même si, à vous lire, je comprends que vous maîtrisez parfaitement les PPA et leur contenu et que vous vérifiez régulièrement leur mise à jour, perso, quand je vois un système qui ne réagit pas normalement, je m'assure qu'il soit aussi clair et propre que possible.

Donc oui sur un fil d'aide, pour être sûr du diagnostic, éliminer les pistes et avoir une base saine, j'élimine les PPA (surtout les toxiques, c'est à dire ceux dont personne ne comprend les implications, apports de dépendances, etc..) et je m'assure que les paquets, kernels, fichiers de config et dépendances obsolètes soient nettoyés (commandes du post #4)

Pour Flatpak, c'est simple : quand le PPA n'est pas maintenu par l'éditeur et/ou que le PPA ne donne pas satisfaction, je le suggère. Comme les paquets sont containeurisés c'est mieux en plus (il ne me viendrait par exemple pas à l'idée de déployer skype autrement).

Pour la spécificité de ce fil, je plussoie le post de GammaDraconis qui développe un point que je partage : des PPA pour avoir "la dernière version" alors qu'on est sur la dernière intermédiaire de l'OS, c'est de la coquetterie qui ne peut qu'amener de l'instabilité.

Si vraiment il faut absolument la dernière version de tout, alors direction Manjaro, ou directement Arch Linux...

Dernière modification par nam1962 (Le 09/05/2019, à 10:03)


[ Modéré ]

Hors ligne

#11 Le 09/05/2019, à 08:11

kholo

Re : [Resolu] installation des PPA

salut,
si vous vous étalez sur les ppa, et autres types d'installations non dépôt, vous allez finir café wink
ceci dit je plussoie nam... et j'ai cette vision sur tout type d'installation hors dépôt.
... et le problème, dans le cadre de l'accompagnement sur ce forum, se situe entre la chaise et le clavier !
la plupart d'entre nous ont de la bouteille, mais c'est pas le cas de pas mal de neebies qui arrivent avec leurs sales habitudes de windoziens voire de débutants.
par exemple, j'adore le boulot de webupd8 mais j'arrive pas à me dire que je peux leur faire confiance... en d'autres temps, j'avais la même vision de clubic, toucharger (il y en avait un autre encore pire dont je ne me souviens plus du nom) ou 01net...

Hors ligne

#12 Le 09/05/2019, à 08:12

lool_lauris

Re : [Resolu] installation des PPA

nam1962 a écrit :

Heulà ?
Il faudrait refaire le cours de première semaine sous Ubuntu ?
Bon, ces trucs, ont été déjà expliqués et réexpliqués des centaines de fois et soulignés dans la doc.

Comme je ne vais pas les réexpliquer, @ lool_lauris : un peu de lecture sur ppa-purge (et la gestion des PPA)

ppa-purge, ça je connais, pas de problème mais je reviens sur ce que tu as écrit au post 2 :

nam1962 a écrit :

Par ailleurs, avant toute install de PPA il faut prévoir leur désinstallation avec ppa-purge.

Ton propos sous-entendrait qu'avant d'installer un ppa, il y aurait une 1ère manip à faire avec ppa-purge.

Personnellement, je n'utilise ppa-purge qu'au moment de désinstaller le ppa mais jamais avant d'installer un ppa, ce que tu as pourtant écrit. Alors, je te demande, une nouvelle fois, que faut-il prévoir avec ppa-purge AVANT d'installer un ppa (j'ai repris tes propos).


Soutenez le Libre => http://www.april.org/

Hors ligne

#13 Le 09/05/2019, à 09:18

nam1962

Re : [Resolu] installation des PPA

Je fus sans doute trop concis : avant d'installer tout PPA, sachant qu'il peut par définition mettre la grouille, il faut avoir installé ppa- purge afin d'être prêt à virer le-dit PPA et les paquets fautifs.
C'est un préambule.
D'autant plus utile avec un toxique à la nilarimogard où à feu getdeb : comme on ne sait pas ce qu'ils installent, il faut l'outil pour tout virer.

Je répète partout ce que rappelle la doc pour ces PPA fourre-tout, si on a vraiment (???) besoin d'un des paquets qu'ils fournissent :
- vérifier si le PPA est à jour et maintenu
- activer le PPA - puis update
- installer le paquet (après avoir vérifié les dépendances qu'il embarque)
- désactiver le PPA - puis update
Et surtout aucun upgrade ou encore moins de full-upgrade tant que le PPA est activé.

Maintenant, je re-répète : à peu près aucun paquet de ces fourre-tout n'est pas dispo autrement et proprement. Bref on peut quasi toujours s'en passer.

kholo a écrit :

(...)en d'autres temps, j'avais la même vision de clubic, toucharger (il y en avait un autre encore pire dont je ne me souviens plus du nom) ou 01net...

Astalavista pour tes warez ? tongue

Dernière modification par nam1962 (Le 09/05/2019, à 09:21)


[ Modéré ]

Hors ligne

#14 Le 09/05/2019, à 09:52

kholo

Re : [Resolu] installation des PPA

heuuu, non pas Astalavista....
j'ai trouvé !!!! softonic !!! j'ajouterais : bien profond !!! big_smile lol big_smile

Hors ligne

#15 Le 09/05/2019, à 09:58

nam1962

Re : [Resolu] installation des PPA

Tu as oublié filehippo tongue


[ Modéré ]

Hors ligne

#16 Le 09/05/2019, à 10:35

lool_lauris

Re : [Resolu] installation des PPA

nam1962 a écrit :

Je fus sans doute trop concis : avant d'installer tout PPA, sachant qu'il peut par définition mettre la grouille, il faut avoir installé ppa- purge afin d'être prêt à virer le-dit PPA et les paquets fautifs.
C'est un préambule.

D'accord, en fait, tu voulais dire qu'il faut installer le paquet ppa-purge. Je comprends mieux.


Soutenez le Libre => http://www.april.org/

Hors ligne

#17 Le 09/05/2019, à 11:11

nam1962

Re : [Resolu] installation des PPA

Exact !


[ Modéré ]

Hors ligne

#18 Le 09/05/2019, à 13:09

krodelabestiole

Re : [Resolu] installation des PPA

Coeur Noir a écrit :

Au moins les ppa on sait où ils sont ( launchpad, plutôt sûr à priori ) on sait qui s'en occupe, on peut voir ce qu'ils contiennent, leur historique d'activité, bref on a des clés importantes pour comprendre ce qu'ils sont et les évaluer.
Peut-on en dire autant des 3 autres ?

On peut en dire autant au moins des dépôts par défaut / officiels de snap (snapcraft : canonical) et flatpak (flathub : red hat - en simplifant)

mais sinon les problèmes liés aux PPA / APT et ceux liés à flatpak / snap / appimage ne sont pas forcément les mêmes.
APT cherche à mutualiser les ressources et utilise moins d'espace disque parce qu'une librairie peut être utilisée par plusieurs applications en même temps.
Mais si tu as un logiciel qui utilise une librairie des dépôts officiels (en dépendance de son paquet donc), et que tu installes un autre logiciel depuis un PPA qui utilise et installe une version plus récente de cette librairie, rien ne garantie la rétro compatibilité de cette libraire avec ton premier logiciel.
C'est une des limitation principale d'APT et la raison pour laquelle debian et dérivés bloquent à chaque version leurs librairies sur des versions précises (au moins pour les versions majeures), après une période de test importante.
A contrario flatpak, snap et appimage viennent avec leurs propres dépendances, isolées du reste du système. Donc toute cette problématique n'existe pas.

Ensuite plus on multiplie les sources (ajout de PPA), plus on multiplie les risques, c'est bêtement mathématique. Si le serveur d'un fournisseur de PPA tombe par ex, ou si il oublie de renouveler son nom de domaine, un petit malin peut obtenir un accès quasi direct à toutes les machines qui l'utilisent. Il y a des sécurités avec ça (clé GPG) mais elles ne protègent pas de tout et tout le monde ne les utilise pas.

D'ailleurs il me semble qu'on a mis assez de warning dans la doc à ce sujet : https://doc.ubuntu-fr.org/ppa


nam1962 a écrit :

Si vraiment il faut absolument la dernière version de tout, alors direction Manjaro, ou directement Arch Linux...

exactement !
il faut comprendre la politique de debian : ça sort seulement quand c'est prêt, après une longue période de test, et de manière figée. parce que l'argument principal de cette distro c'est la fiabilité / stabilité. en se basant sur debian ubuntu hérite de cette politique.
si ce n'est pas un aspect primordial pour l'utilisateur, mais qu'il préfère par ex. un système moderne, il vaut mieux opter pour une rolling release.

ceci dit avec flapak et snap cet aspect des choses pourrait éventuellement changer à terme, mais on n'y est pas encore.

Hors ligne

#19 Le 09/05/2019, à 17:38

homaley24

Re : [Resolu] installation des PPA

Quoi dire de plus, pour le coup j'ai une vision bien meilleure de mon horizon "Linuxien", vos échanges ont permis de m'éclairer sur certains points et d'avoir une réflexion un peu différente sur l’intérêt des PPA.
merci a tous
A+ Fred

Hors ligne

#20 Le 09/05/2019, à 17:55

nam1962

Re : [Resolu] installation des PPA

Sourire, il nous manque cependant les réponses aux question et retours du #4
Puis on fera un test pour voir si une install de PPA prend toujours une plombe (car même si il ne faut pas abuser des PPA, leur install est normalement instantanée)


[ Modéré ]

Hors ligne

#21 Le 09/05/2019, à 20:44

homaley24

Re : [Resolu] installation des PPA

tu as raison, j'ai viré le PPA "nilarimogard" et du coup j'ai aussi retiré tout les autres PPA sauf NextCloud et réinstallé mes logiciels directement avec la logithèque.

voici le retour du #4

fred@fred-PX60-6QE:~$ sudo apt clean
[sudo] Mot de passe de fred : 
fred@fred-PX60-6QE:~$ [[ $(dpkg -l | grep ^rc) ]] && sudo dpkg -P $(dpkg -l | grep ^rc | tr -s " " | cut -d " " -f 2)
fred@fred-PX60-6QE:~$ sudo apt update
Atteint :1 http://fr.archive.ubuntu.com/ubuntu disco InRelease
Atteint :2 http://ppa.launchpad.net/nextcloud-devs/client/ubuntu disco InRelease
Atteint :3 http://fr.archive.ubuntu.com/ubuntu disco-updates InRelease         
Atteint :4 http://fr.archive.ubuntu.com/ubuntu disco-backports InRelease       
Atteint :5 http://archive.canonical.com/ubuntu disco InRelease                 
Réception de :6 http://security.ubuntu.com/ubuntu disco-security InRelease [97,5 kB]
97,5 ko réceptionnés en 2s (57,1 ko/s)
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Tous les paquets sont à jour.
fred@fred-PX60-6QE:~$ sudo apt full-upgrade
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
fred@fred-PX60-6QE:~$ [[ $(apt-mark showmanual | egrep 'linux-.*[0-9]' | grep -v "hwe") ]] && sudo apt-mark auto $(apt-mark showmanual | egrep linux-.*[0-9] | grep -v "hwe")
fred@fred-PX60-6QE:~$ sudo apt autoremove --purge
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
fred@fred-PX60-6QE:~$ 

Hors ligne

#22 Le 10/05/2019, à 07:15

nam1962

Re : [Resolu] installation des PPA

Peux-tu tester l'installation d'un PPA pour voir si il prends toujours du temps à être établi ?
Dis-nous comment tu t'y prends


[ Modéré ]

Hors ligne

#23 Le 10/05/2019, à 07:34

homaley24

Re : [Resolu] installation des PPA

Bon j'ai pris le ppa:yg-jensge/shotwell en mode graphique je lance "logiciel et mise a jour" je colle le PPA dans "autre logiciel" je clique "ajouter la source" et après avoir renseigner mon mot de passe je chronomètre 17 seconde avant que la fenetre se ferme et pas de ppa ajouté. de plus je ne peux plus ré-ouvrir "logiciel et mise a jour" pendant environs 2 ou 3 minutes à ce moment là je ré-ouvrir "logiciel et mise a jour" et le PPA est ajouté

Hors ligne

#24 Le 10/05/2019, à 07:36

homaley24

Re : [Resolu] installation des PPA

c'est la même chose avec différents PPA

Hors ligne

#25 Le 10/05/2019, à 07:53

nam1962

Re : [Resolu] installation des PPA

Ok, pigé ! En fait quand tu ajoutes un PPA, ça fait aussi un

sudo apt update

Ceci prend du temps en fonction de ta connextion et des serveurs en face.

Où es-tu géographiquement ?  quel type de box as-tu ? Es tu sous fibre ?
Si tu es en wifi est-il bien WPA2-AES ?

Dernière modification par nam1962 (Le 10/05/2019, à 07:53)


[ Modéré ]

Hors ligne